%global commit bd245c9

Name:           pcfi
Version:        2010.08.09
Release:        %mkrel 20111216git%{commit}.10
Summary:        PDF Core Font Information

Group:          Development/Java
License:        BSD
URL:            https://github.com/jukka/pcfi
Source0:        https://github.com/jukka/pcfi/tarball/%{commit}/jukka-pcfi-%{commit}.tar.gz
# Originally downloaded from: http://opensource.adobe.com/wiki/display/cmap/License
# This now points to Adobe's sourceforge pages
Source1:        License
BuildArch:      noarch
BuildRequires:  maven-local
Requires:       jpackage-utils


%description
Collection of PDF core font information files downloaded from Adobe's
Developer Center and elsewhere. This collection contains font metrics for the
14 PDF core fonts, CMaps for the PDF CJK fonts and the Adobe Glyph List.   The
files are stored inside the com/adobe/pdf/pcfi directory. See the individual
files for exact licensing information.


%prep
%setup -q -n jukka-pcfi-%{commit}
sed -i 's/\r//' src/main/resources/META-INF/LICENSE.txt
cp %SOURCE1 .


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc README.txt src/main/resources/META-INF/LICENSE.txt License



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2010.08.09-20111216gitbd245c9.10.mga9
+ Revision: 1827330
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2010.08.09-20111216gitbd245c9.9.mga8
+ Revision: 1492693
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2010.08.09-20111216gitbd245c9.8.mga7
+ Revision: 1265667
- Mageia 7 Mass Rebuild

* Fri Apr 01 2016 daviddavid <daviddavid> 2010.08.09-20111216gitbd245c9.7.mga6
+ Revision: 997312
- First rebuild of the java stack
+ neoclust <neoclust>
- sync package pcfi with fedora

* Sat Jan 17 2015 daviddavid <daviddavid> 2010.08.09-20111216.bd245c9.6.mga5
+ Revision: 811087
- Sync with fc21

* Fri Oct 24 2014 umeabot <umeabot> 2010.08.09-20111216.bd245c9.5.mga5
+ Revision: 792875
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2010.08.09-20111216.bd245c9.3.mga4
+ Revision: 508916
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2010.08.09-20111216.bd245c9.2.mga3
+ Revision: 362639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 gil <gil> 2010.08.09-20111216.bd245c9.1.mga2
+ Revision: 182856
- imported package pcfi

